﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Telerik.Windows.Data;

namespace RadCarouselWpf_2009_Q11
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        private Message[] data = new Message[] { 
				new Message { Sender = "tom@hanna-barbera.com", Subject = "Cats are cool", Size = 100 },
                new Message { Sender = "jerry@hanna-barbera.com", Subject = "Mice are cool", Size = 100 },
                new Message { Sender = "spike@hanna-barbera.com", Subject = "Dogs are cool", Size = 100 },
                new Message { Sender = "jerry2@hanna-barbera.com", Subject = "2Mice are cool", Size = 200 },
                new Message { Sender = "spike2@hanna-barbera.com", Subject = "2Dogs are cool", Size = 200 },
				new Message { Sender = "jerry3@hanna-barbera.com", Subject = "3Mice are cool", Size = 300 },
				new Message { Sender = "spike3@hanna-barbera.com", Subject = "3Dogs are cool", Size = 300 }
        };

        public Window1()
        {
            InitializeComponent();

            RadCarousel1.ItemsSource = data;
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            this.ChangeSize(400, 400);
        }

        private void Button_Click1(object sender, RoutedEventArgs e)
        {
            this.ChangeSize(200, 200);
        }

        private void ChangeSize(double width, double height)
        {
            Style newStyle = new Style(typeof(CarouselItem));
            Setter widthSetter = new Setter(CarouselItem.WidthProperty, width);
            Setter heightSetter = new Setter(CarouselItem.HeightProperty, height);
            Setter maxHeightSetter = new Setter(CarouselItem.MaxHeightProperty, height);

            newStyle.Setters.Add(widthSetter);
            newStyle.Setters.Add(heightSetter);
            newStyle.Setters.Add(maxHeightSetter);
            newStyle.Seal();

            this.Resources.Remove(typeof(CarouselItem));
            this.Resources.Add(typeof(CarouselItem), newStyle);
        }
    }
}
